# Componere\Patch::__construct

(Componere 2 >= 2.1.0)

Componere\Patch::__construct — Construction de patch

### Description

public Componere\Patch::__construct(object `$instance`)
public Componere\Patch::__construct(object `$instance`, array `$interfaces`)

### Liste de paramètres

`instance`

  La cible de ce patch

`interfaces`

  Un tableau insensible à la casse de noms de classes

### Exceptions

Avertissement

Lance une RuntimeException si une classe dans `interfaces` ne peut pas être trouvée

Avertissement

Lance une RuntimeException si une classe dans `interfaces` n'est pas une interface